package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class StepsPictureBean implements Parcelable {
    private String attr_id = ""; //
    private String desc = ""; //
    private String url = ""; //
    private String type = ""; //
    private String need_photo = ""; //
    private String field_key = ""; //
    private Boolean checked = false;

    public StepsPictureBean() {

    }


    protected StepsPictureBean(Parcel in) {
        attr_id = in.readString();
        desc = in.readString();
        url = in.readString();
        type = in.readString();
        need_photo = in.readString();
        field_key = in.readString();
        byte tmpChecked = in.readByte();
        checked = tmpChecked == 0 ? null : tmpChecked == 1;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(attr_id);
        dest.writeString(desc);
        dest.writeString(url);
        dest.writeString(type);
        dest.writeString(need_photo);
        dest.writeString(field_key);
        dest.writeByte((byte) (checked == null ? 0 : checked ? 1 : 2));
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<StepsPictureBean> CREATOR = new Creator<StepsPictureBean>() {
        @Override
        public StepsPictureBean createFromParcel(Parcel in) {
            return new StepsPictureBean(in);
        }

        @Override
        public StepsPictureBean[] newArray(int size) {
            return new StepsPictureBean[size];
        }
    };

    public String getAttrId() {
        return attr_id;
    }

    public void setAttrId(String attr_id) {
        this.attr_id = attr_id;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNeedPhoto() {
        return need_photo;
    }

    public void setNeedPhoto(String need_photo) {
        this.need_photo = need_photo;
    }

    public String getFieldKey() {
        return field_key;
    }

    public void setFieldKey(String field_key) {
        this.field_key = field_key;
    }

    public Boolean getChecked() {
        return checked;
    }

    public void setChecked(Boolean checked) {
        this.checked = checked;
    }
}
